package survey_test

import (
	"fmt"
	"testing"

	"gogs.uu.mdfitnesscao.com/cuiguohai/sdk"
	"gogs.uu.mdfitnesscao.com/cuiguohai/sdk/survey"
	"gogs.uu.mdfitnesscao.com/cuiguohai/sdk/utils"
)

func TestListQuestionnaireSubject(t *testing.T) {
	sdk.InitConfig(&sdk.ClientConfig{
		ApiDomain: "https://api.hysyzs.com",
		AppDebug:  true,
	})
	m, err := survey.ListQuestionnaireSubject()
	fmt.Println(utils.JsonEncode(m), err)
}

func TestListQuestionnaireTemplate(t *testing.T) {
	sdk.InitConfig(&sdk.ClientConfig{
		ApiDomain: "https://api.hysyzs.com",
		AppDebug:  true,
	})
	m, err := survey.ListQuestionnaireTemplate()
	fmt.Println(utils.JsonEncode(m), err)
}
